import 'package:flutter/material.dart';
import 'package:hl_lieferservice/feature/delivery/detail/presentation/delivery_options.dart';
import 'package:hl_lieferservice/model/delivery.dart' as model;

class DeliveryStepOptions extends StatefulWidget {
  final model.Delivery delivery;

  const DeliveryStepOptions({required this.delivery, super.key});

  @override
  State<StatefulWidget> createState() => _DeliveryStepInfo();
}

class _DeliveryStepInfo extends State<DeliveryStepOptions> {
  @override
  Widget build(BuildContext context) {
    debugPrint(
      "${widget.delivery.options.map((option) => "${option.display}, ${option.value}")}",
    );
    return DeliveryOptionsView(
      options: widget.delivery.options,
      deliveryId: widget.delivery.id,
    );
  }
}
